'PPAT'<-function (ped) 
{
    family.id <- unique(ped[, 1])
    n.fam <- length(family.id)
    pat.ab <- rep(0, n.fam)
    for (i in 1:n.fam) {
        fam <- family.id[i]
        family1 <- which(ped[, 1] == fam)
        informative <- NULL
        for (ind in family1) {
            if (ped[ind, 3] == 0 || ped[ind, 6] == 1 || ped[ind, 
                7] == 0) 
                next
            fid <- which(ped[, 1] == fam & ped[, 2] == ped[ind, 
                3])
            mid <- which(ped[, 1] == fam & ped[, 2] == ped[ind, 
                4])
            if (ped[fid, 7] == 0) 
                next
            if (ped[mid, 7] == 0) 
                next
            if (ped[fid, 7] + ped[fid, 8] != ped[mid, 7] + ped[mid, 
                8]) 
                informative <- c(informative, ind)
        }
        if (length(informative) == 0) 
            next
        for (j in 1:length(informative)) {
            ind <- informative[j]
            if (ped[ind, 7] == ped[ind, 8]) 
                next
            fid <- which(ped[, 1] == fam & ped[, 2] == ped[ind, 
                3])
            mid <- which(ped[, 1] == fam & ped[, 2] == ped[ind, 
                4])
            if (ped[fid, 7] + ped[fid, 8] - ped[mid, 7] - ped[mid, 
                8] < 0) 
                pat.ab[i] <- pat.ab[i] + 1
            else if (ped[fid, 7] + ped[fid, 8] - ped[mid, 7] - 
                ped[mid, 8] > 0) 
                pat.ab[i] <- pat.ab[i] - 1
        }
    }
    list(pat.ab = pat.ab)
}